GET private-locations
Retrieves a list of private locations for the current customer.
Request example
curl --request GET "https://api-asm1.apica.io/v3/private-locations?auth_ticket=C471ADC4-19B4-4219-BBF4-671A97EC653E"
Response body model example and description
[
{
"access_group": "3e5d32f3-1340-46a5-b6f7-02c73b406df4",
"private_locations": [
{
"private_location_id": "71b0d50c-a28c-4614-bf4f-94a08d14e8bb",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "528ff95b-0f44-4150-95bd-01258f2fd33e"
},
{
"private_location_id": "9572c8d5-f81a-418c-888a-3a7f8ec06402",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "645fd0a8-019a-413b-9974-1556476963da"
},
{
"private_location_id": "5e66f77f-88f9-47cd-8c9a-c2ecdc616b55",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "db3f1b80-edbb-480a-bee7-7b1e61b4a81d"
}
]
},
{
"access_group": "ae3999b7-0714-44f5-9307-74533891194f",
"private_locations": [
{
"private_location_id": "5e66f77f-88f9-47cd-8c9a-c2ecdc616b55",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "db3f1b80-edbb-480a-bee7-7b1e61b4a81d"
},
{
"private_location_id": "71b0d50c-a28c-4614-bf4f-94a08d14e8bb",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "528ff95b-0f44-4150-95bd-01258f2fd33e"
},
{
"private_location_id": "5e66f77f-88f9-47cd-8c9a-c2ecdc616b55",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "db3f1b80-edbb-480a-bee7-7b1e61b4a81d"
}
]
},
{
"access_group": "cf9bac28-df6e-47e0-9efe-a2151fe8ca04",
"private_locations": [
{
"private_location_id": "71b0d50c-a28c-4614-bf4f-94a08d14e8bb",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "528ff95b-0f44-4150-95bd-01258f2fd33e"
},
{
"private_location_id": "9572c8d5-f81a-418c-888a-3a7f8ec06402",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "645fd0a8-019a-413b-9974-1556476963da"
},
{
"private_location_id": "71b0d50c-a28c-4614-bf4f-94a08d14e8bb",
"enabled": true,
"geoloc": "sample string 3",
"customer_guid": "528ff95b-0f44-4150-95bd-01258f2fd33e"
}
]
}
]
| Name | Type | Description |
|---|---|---|
| AccessGroup | Guid |
Unique identifier for the access group associated with the private locations. |
| PrivateLocations | Object |
A list of private location details. |
| PrivateLocationId | Guid |
Unique identifier for the private location. |
| Enabled | Boolean |
Indicates whether the private location is enabled. |
| Geoloc | String |
Geographical location of the private location. |
| CustomerGuid | Guid |
Customer identifier associated with the private location. |